Closed Bug 621645 Opened 9 years ago Closed 9 years ago

Firefox Mobile 4 beta 3 (and pre-beta 4) fails to install on Archos 101 Tablet using Android 2.1 Eclair with no specific error

Categories

(Firefox for Android Graveyard :: General, defect, critical)

ARM
Android
defect
Not set
critical

Tracking

(fennec-)

VERIFIED FIXED
Tracking Status
fennec - ---

People

(Reporter: tobassam, Unassigned)

References

Details

User-Agent:       Mozilla/5.0 (Windows NT 6.0; rv:2.0b8) Gecko/20100101 Firefox/4.0b8
Build Identifier: Beta 3 for Android (ARM7)

On trying to install the Firefox Mobile 4 beta 3 (and pre-beta 4) APK on a Archos 101 Tablet using Android 2.1 Eclair, the installation starts progress but soon ends with "installation unsuccessful" and no further details as to the reason.

Reproducible: Always

Steps to Reproduce:
1.Run APK
2.Click install when prompted
3.Wait for the error message
Actual Results:  
"installation unsuccessful"

Expected Results:  
Successful installation
OS: Other → Android
Hardware: Other → ARM
This might be caused by bug 621262, which may prevent Firefox from installing on devices without GPS hardware.
tracking-fennec: --- → ?
Depends on: 621262
Just tested with the build dated 2010-12-29 located here http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/latest-mozilla-central-android-r7/en-US/. Same issue prevails. Does this build definitely contain the fix to bug 621262 ? If so, then there could be a different reason for this one.
Good News! I've tested the Fennec nightly build with my Archos 101 running Android 2.2 Froyo and it works.
Just tested with the build dated 2010-12-30 located here
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/latest-mozilla-central-android-r7/en-US/.
Same issue still prevails on my Archos 101. Difference from pauljaymes could be that mine's using Android Eclair 2.1-1. Due to many Froyo issues in the Archos implementation I don't plan on upgrading anytime soon.
Btw, the Fennec version I tried still requested permissions to "fine GPS location".
tracking-fennec: ? → 2.0-
It also asked for permissions on Froyo but still installs and runs ok.
Apologies: I meant to say it still asks for GPS permissions on 2.2 Froyo but installs and runs ok anyway.
(In reply to comment #6)
> Apologies: I meant to say it still asks for GPS permissions on 2.2 Froyo but
> installs and runs ok anyway.

Geolocation uses the GPS, which is why we have to ask for permission to use it. One change we've made since beta 3 shipped is to ask for permission, but not require the presence of a GPS.
Brad, whether GPS is the cause or not, Fennec does not install on my Archos 101's Eclair version of Android.
Firefox Mobile Beta does install and run on the 101 with Froyo, but it doesn't seem very stable.Just loading the Google homepage in FF seems to consistently crash it. It's certainly not usable in any meaningful sense.
resolving fixed based on comment 9
Status: UNCONFIRMED → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
This can be marked as verified fixed, right?
Due to comments #9 & #10 I will mark this bug as verified fixed.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.